GNU bug report logs - #37976
27.0.50; Dependency reversal of seq-subseq and cl-subseq causes regression when using seq from ELPA

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Terje Larsen <terlar@HIDDEN>; dated Tue, 29 Oct 2019 10:18:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37976 <at> debbugs.gnu.org:


Received: (at 37976) by debbugs.gnu.org; 15 Nov 2019 19:56:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 14:56:20 2019
Received: from localhost ([127.0.0.1]:37420 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVhhc-00061L-2N
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2019 14:56:20 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:43012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1iVhhZ-000618-MJ
 for 37976 <at> debbugs.gnu.org; Fri, 15 Nov 2019 14:56:18 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 2ED7F449D5D;
 Fri, 15 Nov 2019 14:56:12 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id DCD34449D58;
 Fri, 15 Nov 2019 14:56:10 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1573847770;
 bh=b2SjrTshcFAAkdWmYuuJ2QGDr5R0rbkNQmJ5dkvCstU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=GDqQD6I0TChAcJvmBB/ESexIH9fl4aTtoxvzmA7GBDM8jMScEWUT552vbtpYYHuFL
 V3X00XwT7otUcEHkXm4U/wnLkycbrJWkbRHKTb2ICTxCCG9dPzN08czu1/zUx+vl/M
 ecnLMKw8sQKmZ0zLXXLE2Dff3Jd6vz5QWCrii3B5RfDVjLwV8Ov8abQ+OvOyTD1sGA
 ZHlI9P3jewbwmWNRKuAVw+D3Oil90KrUiTe6TphbCtqQf0Y8E0cpBWs1pOpY+0o6+f
 zBcgwwJugIm+rioc6e5eLMIH6RYxDtcMk0rDCzbCMkbnAYKfeSNr73MjdGNJQTTQTN
 ucuNxfyi9XjTA==
Received: from pastel (206-248-133-142.dsl.teksavvy.com [206.248.133.142])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id A09A012084D;
 Fri, 15 Nov 2019 14:56:10 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "John Wiegley" <johnw@HIDDEN>
Subject: Re: bug#37976: 27.0.50; Dependency reversal of seq-subseq and
 cl-subseq causes regression when using seq from ELPA
Message-ID: <jwv1ru8ex9i.fsf-monnier+emacs@HIDDEN>
References: <87o8xz3ljd.fsf@HIDDEN> <87h83k2e0i.fsf@HIDDEN>
 <CAGoWm-YGqBxZ9Wq+aHE9XAeRcn=QKVH751GjpD-X=r2_NeAPwA@HIDDEN>
 <87h83exny5.fsf@HIDDEN> <jwva790ka3y.fsf-monnier+emacs@HIDDEN>
 <878sok9for.fsf@HIDDEN> <jwvv9rnhpds.fsf-monnier+emacs@HIDDEN>
 <m2ftiphrot.fsf@HIDDEN>
Date: Fri, 15 Nov 2019 14:56:08 -0500
In-Reply-To: <m2ftiphrot.fsf@HIDDEN> (John Wiegley's message of "Fri, 
 15 Nov 2019 11:20:50 -0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.106 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37976
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 37976 <at> debbugs.gnu.org,
 Terje Larsen <terlar@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> SM> It does look like the problem is on NixOS's side, indeed.
> I can confirm that stubbing this in Nix based on the Emacs version fixes =
the
> problem for me:
>
>     seq =3D if super.emacs.version =3D=3D "27.0"
>       then mkDerivation rec {
>         name =3D "seq-stub";
>         version =3D "stub";
>         src =3D ./.;
>         phases =3D [ "installPhase" ];
>         installPhase =3D ''
>           mkdir $out
>           touch $out/.empty
>         '';
>       }
>       else super.seq;
>
> We'll have to ask the maintainers of the Emacs portion of nixpkgs to do
> something similar on their side.

I don't think they need to do something special for Emacs=E2=89=A527, inste=
ad
they should install those packages without touching load-path but
instead making sure package.el sees those installed packages so *it* can
activate those packages properly (adding them to `load-path` and loading
their <pkg>-autoloads.el files, all while obeying `package-load-list`).

I'd be surprised if their system doesn't introduce bugs in
Emacs<27 already.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37976; Package emacs. Full text available.

Message received at 37976 <at> debbugs.gnu.org:


Received: (at 37976) by debbugs.gnu.org; 15 Nov 2019 19:21:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 15 14:21:15 2019
Received: from localhost ([127.0.0.1]:37396 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iVh9e-00059r-P8
	for submit <at> debbugs.gnu.org; Fri, 15 Nov 2019 14:21:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49029)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <johnw@HIDDEN>) id 1iVh9b-00059a-54
 for 37976 <at> debbugs.gnu.org; Fri, 15 Nov 2019 14:21:13 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36235)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <johnw@HIDDEN>)
 id 1iVh9V-0002ba-E8; Fri, 15 Nov 2019 14:21:05 -0500
Received: from auth1-smtp.messagingengine.com ([66.111.4.227]:40819)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <johnw@HIDDEN>)
 id 1iVh9U-0000TJ-PO; Fri, 15 Nov 2019 14:21:05 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailauth.nyi.internal (Postfix) with ESMTP id 40EB521E6A;
 Fri, 15 Nov 2019 14:21:04 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Fri, 15 Nov 2019 14:21:04 -0500
X-ME-Sender: <xms:n_rOXeqIoqstMZfOySaL7CZb5p7QQqI76bDT7gKwIsj3R44viqNXWQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedufedrudefhedguddvfecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmd
 enucfjughrpefhvffujgffkfhffgggtgesthdtredttdertdenucfhrhhomhepfdflohhh
 nhcuhghivghglhgvhidfuceojhhohhhnfiesghhnuhdrohhrgheqnecuffhomhgrihhnpe
 hnvgifrghrthhishgrnhhsrdgtohhmnecukfhppeejiedrvdefgedrieelrddugeelnecu
 rfgrrhgrmhepmhgrihhlfhhrohhmpehjohhhnhifodhmvghsmhhtphgruhhthhhpvghrsh
 honhgrlhhithihqdeikeejkedtleeggedqudejjeehfeekudeiqdhjohhhnhifpeepghhn
 uhdrohhrghesnhgvfigrrhhtihhsrghnshdrtghomhenucevlhhushhtvghrufhiiigvpe
 dt
X-ME-Proxy: <xmx:n_rOXYqFph_a3dSV8qVDtFKw4QJxrwvhWf4bSkzgHd52UUcznfasdw>
 <xmx:n_rOXVYo3F9YYKTEv2rQDe3Ifd_UmJJvnbauihhQmNWSt7W0ePywlQ>
 <xmx:n_rOXe9Q9pKYjsH3fsBr_K8L8Isx4iYjTcGG6N2k3uT3FeembAT6pw>
 <xmx:oPrOXVO4h8BzZcbB3UvyfYwwVqGddNLoBMtH0XT4RrZpp4uU-0ZSYA>
Received: from localhost (76-234-69-149.lightspeed.frokca.sbcglobal.net
 [76.234.69.149])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1DD5D8005C;
 Fri, 15 Nov 2019 14:21:00 -0500 (EST)
From: "John Wiegley" <johnw@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#37976: 27.0.50;
 Dependency reversal of seq-subseq and cl-subseq causes regression
 when using seq from ELPA
In-Reply-To: <jwvv9rnhpds.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Wed, 13 Nov 2019 08:42:38 -0500")
Date: Fri, 15 Nov 2019 11:20:50 -0800
Message-ID: <m2ftiphrot.fsf@HIDDEN>
References: <87o8xz3ljd.fsf@HIDDEN> <87h83k2e0i.fsf@HIDDEN>
 <CAGoWm-YGqBxZ9Wq+aHE9XAeRcn=QKVH751GjpD-X=r2_NeAPwA@HIDDEN>
 <87h83exny5.fsf@HIDDEN> <jwva790ka3y.fsf-monnier+emacs@HIDDEN>
 <878sok9for.fsf@HIDDEN> <jwvv9rnhpds.fsf-monnier+emacs@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (darwin)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37976
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 37976 <at> debbugs.gnu.org,
 Terje Larsen <terlar@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>>>>> "SM" == Stefan Monnier <monnier@HIDDEN> writes:

SM> It does look like the problem is on NixOS's side, indeed.

I can confirm that stubbing this in Nix based on the Emacs version fixes the
problem for me:

    seq = if super.emacs.version == "27.0"
      then mkDerivation rec {
        name = "seq-stub";
        version = "stub";
        src = ./.;
        phases = [ "installPhase" ];
        installPhase = ''
          mkdir $out
          touch $out/.empty
        '';
      }
      else super.seq;

We'll have to ask the maintainers of the Emacs portion of nixpkgs to do
something similar on their side.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37976; Package emacs. Full text available.

Message received at 37976 <at> debbugs.gnu.org:


Received: (at 37976) by debbugs.gnu.org; 13 Nov 2019 13:42:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 08:42:56 2019
Received: from localhost ([127.0.0.1]:58936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUsv9-00071w-Vf
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2019 08:42:56 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:19568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1iUsv8-00071i-01
 for 37976 <at> debbugs.gnu.org; Wed, 13 Nov 2019 08:42:54 -0500
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id C439C81244;
 Wed, 13 Nov 2019 08:42:47 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id DF6648117A;
 Wed, 13 Nov 2019 08:42:45 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1573652565;
 bh=IRlseb+AvjuKoHiPX8ei+4SG02yTYOkJB+7dkmOLamo=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=FKVj6spqunY0sTBjX2jZzTXdBFrJ+bipn9CjQRUm0qw6Kcg6D8gkguYTYmNaDegG2
 65LJZUwuG/SKDF7BDEf6IvC2TOxciail+W0l506l0yQ6uOAb4HD+bT9BQMqRWefaCd
 /50/PF7xk7/lvJUSH4iIjxSuVStQt6LqbKcr5pZ8L6Zb9cd+AfY8DLx421CyHo+rIb
 EFfA9O5f5QzQOSSCxW7MOA9mUMOpVnWolTkhVhYvW7J5wrIRp8dJeVKGsaSR3Bvd8M
 tw1GKxHxWiktD4i3RDlCq5CpdgfH5gVehfccVSVXZ0BASE5n8bkCs2VbTKJZbOnGRe
 DLMU4IlSfoeKg==
Received: from pastel (unknown [216.154.33.205])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 9B0161202F2;
 Wed, 13 Nov 2019 08:42:45 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Terje Larsen <terlar@HIDDEN>
Subject: Re: bug#37976: 27.0.50; Dependency reversal of seq-subseq and
 cl-subseq causes regression when using seq from ELPA
Message-ID: <jwvv9rnhpds.fsf-monnier+emacs@HIDDEN>
References: <87o8xz3ljd.fsf@HIDDEN> <87h83k2e0i.fsf@HIDDEN>
 <CAGoWm-YGqBxZ9Wq+aHE9XAeRcn=QKVH751GjpD-X=r2_NeAPwA@HIDDEN>
 <87h83exny5.fsf@HIDDEN> <jwva790ka3y.fsf-monnier+emacs@HIDDEN>
 <878sok9for.fsf@HIDDEN>
Date: Wed, 13 Nov 2019 08:42:38 -0500
In-Reply-To: <878sok9for.fsf@HIDDEN> (Terje Larsen's message of "Wed, 13
 Nov 2019 12:30:28 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.059 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37976
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 37976 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> Why would they use "seq-subseq from MELPA" when they have the latest
>> seq.el built into their Emacs `master`?
> I am sorry to have written MELPA, but I meant ELPA.

[ ELPA is the whole infrastructure/protocol.  I'll assume you meant the
  GNU ELPA repository.  ]

Ah, much better.  We definitely want this case to work right.

> But is it that unlikely that you somehow would have the `seq` from ELPA
> on your `load-path`?

That would be a bug, yes.
How do you end up with ELPA's `seq` in your `load-path`: package.el
should not activate the `seq` package (because it should consider the
built-in one "at least as good").

>> Could we have some more data, such as which package (name and version)
>> pulls which version of `seq` (and how does it say "from MELPA")?
> In ELPA there are not that many packages that depend on seq, but there
> is for example `beacon` which depends on `(seq "2.14")`. In MELPA there
> is a lot, for example `org-drill` which also depends on `(seq "2.14")`.

Right.  I was worried about dependencies on MELPA's `seq` (assuming it
used a different versioning scheme, which would thus indeed wreak havoc
with package.el's attempt to compare the `seq` package's version with
the built-in one).

> I am using NixOS and I think this issue comes from nix and how it
> resolves packages. Nix will resolve Emacs package dependencies on a
> system level and make sure all of them are added to your `load-path`
> when launching Emacs. The unfortunate thing is that if a package depends
> on `seq`, it pulls the one from ELPA since it doesn't know about the
> built-in package in Emacs.

Sounds like a bug in the NixOS handling of Emacs's packages, then: they
should presumably be added to `package-directory-list` or
`package-user-dir` but not directly to `load-path`.

After all, adding them to `load-path` also breaks `package-load-list`
(since `package-load-list` lets you specify packages which shouldn't be
activated (aka put into your `load-path`) even though they're installed).

> Thank you for your reply and if you don't think anything needs to be
> done on Emacs/ELPA side, feel free to close this issue.

It does look like the problem is on NixOS's side, indeed.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37976; Package emacs. Full text available.

Message received at 37976 <at> debbugs.gnu.org:


Received: (at 37976) by debbugs.gnu.org; 13 Nov 2019 11:30:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 13 06:30:52 2019
Received: from localhost ([127.0.0.1]:58869 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUqrM-0001uX-Hm
	for submit <at> debbugs.gnu.org; Wed, 13 Nov 2019 06:30:52 -0500
Received: from mail-lj1-f181.google.com ([209.85.208.181]:46031)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <terlar@HIDDEN>) id 1iUqrJ-0001uI-0Q
 for 37976 <at> debbugs.gnu.org; Wed, 13 Nov 2019 06:30:51 -0500
Received: by mail-lj1-f181.google.com with SMTP id n21so2123707ljg.12
 for <37976 <at> debbugs.gnu.org>; Wed, 13 Nov 2019 03:30:48 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=bL7Q+qxQdMJZVC1qqtbqjaEV/fB/IR5dLJe/ls75HH8=;
 b=M6Cm3p7kvy7nBrxmfwxg7Kvwi/JL8LC//DP/hIsm91djFhgmSFnaYYlClyJTAgb25a
 0cXkqwUPfmFgbZ4gOnMz7Lp9wBDT2X7XZrypbOUEX2CfPE4fg7nrmNa+lSY3eCOC5RJR
 x3GfkBVwM5n0oAZxikHAihbPuDYNyR1rThS1BHIo6W0siVVBkXdpNZfvIHaIRunSHBXr
 PfNiGRXd66/1BUMpQJdlK3NlWpFXK6LnHMl/1WwbTXc3i7psTQ0lt5WtqdB1fmH9PXYc
 JO9W3MjVfwhV3kD+7CLxMjKp4EYQs7cGcQS6Gb3/cVtxjZimZTmy7YAUx2aZEOkO5ngF
 eB4Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=bL7Q+qxQdMJZVC1qqtbqjaEV/fB/IR5dLJe/ls75HH8=;
 b=OjMQMd64harHX2dYuPnf9RePlXXKBX+UB9FScun5QhkFO7fIO+M/17llTsU72bSkAn
 ajXjRtClnIDuZnM7ypG5QNS/oJAoK5zN17qYG7Rf4nZFg/6TMglMs2cghayCi3XTVceq
 aoDK+LO2zr1ov/yT9qOYf81Who9AMTvRcDVxeIoKUQpyC5cLnssd1GQiwH7AUcOkp9CJ
 mr8D5f2Eo3k/ItavzYlY9dATnBKGvtBN9wVU9qJQjlieshVMTHV/uvaNt/6IFAYNZQmz
 QTPDXiVriylKOyRh7Y0kQFy7gkApNiM7O/bPTfnuCZBBa/6GupxUCDE/MIdELXT9zdmI
 b/gg==
X-Gm-Message-State: APjAAAUvJEGzJG7rBHvrdfRxyn3FOzLd2w5nyXvqFGgpIVL0mrT6iknP
 +NUAo9PtK3EDBAn6GA09TQ6UPdLWBTU=
X-Google-Smtp-Source: APXvYqxH4UkflJbxL2Ugp9N5JYMwkT7A4nM8GoqFSE9BOZVrduyBZ149U3Nw2DKbiZa9gGNgUYjKTQ==
X-Received: by 2002:a2e:7607:: with SMTP id r7mr2283183ljc.37.1573644642447;
 Wed, 13 Nov 2019 03:30:42 -0800 (PST)
Received: from beetle ([212.85.78.250])
 by smtp.gmail.com with ESMTPSA id g14sm937387lfj.17.2019.11.13.03.30.40
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 13 Nov 2019 03:30:41 -0800 (PST)
From: Terje Larsen <terlar@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#37976: 27.0.50; Dependency reversal of seq-subseq and
 cl-subseq causes regression when using seq from ELPA
References: <87o8xz3ljd.fsf@HIDDEN> <87h83k2e0i.fsf@HIDDEN>
 <CAGoWm-YGqBxZ9Wq+aHE9XAeRcn=QKVH751GjpD-X=r2_NeAPwA@HIDDEN>
 <87h83exny5.fsf@HIDDEN> <jwva790ka3y.fsf-monnier+emacs@HIDDEN>
Date: Wed, 13 Nov 2019 12:30:28 +0100
In-Reply-To: <jwva790ka3y.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 12 Nov 2019 17:26:41 -0500")
Message-ID: <878sok9for.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Stefan Monnier writes: >>> What ended up happening now is
 that Emacs is using the new builtin cl-subseq >>> from cl-extra. > > This
 new cl-subseq only exists in Emacs's `master`, right? > So they're running
 Emacs `master`. [...] 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.85.78.250 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (terlar[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.208.181 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.208.181 listed in wl.mailspike.net]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: umontreal.ca]
X-Debbugs-Envelope-To: 37976
Cc: Michael Heerdegen <michael_heerdegen@HIDDEN>, 37976 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Stefan Monnier writes: >>> What ended up happening now is
   that Emacs is using the new builtin cl-subseq >>> from cl-extra. > > This
   new cl-subseq only exists in Emacs's `master`, right? > So they're running
    Emacs `master`. [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: umontreal.ca]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.208.181 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.208.181 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.85.78.250 listed in zen.spamhaus.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (terlar[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Stefan Monnier <monnier@HIDDEN> writes:

>>> What ended up happening now is that Emacs is using the new builtin cl-s=
ubseq
>>> from cl-extra.
>
> This new cl-subseq only exists in Emacs's `master`, right?
> So they're running Emacs `master`.
>

Yes, as mentioned, this is Emacs from `master`, since commit `0e4dd67aae8b1=
0032317a29a6bd99d2d4a64c897`.

>>> But using seq-subseq from MELPA which causes an infinite
>>> loop as they depend on eachother.
>
> Why would they use "seq-subseq from MELPA" when they have the latest
> seq.el built into their Emacs `master`?
>

I am sorry to have written MELPA, but I meant ELPA. I think you can
reproduce this by installing `seq` from ELPA via package-install, which
Emacs clearly marks as an older version, so that would be questionable.

But is it that unlikely that you somehow would have the `seq` from ELPA
on your `load-path`?

>>> What is the recommended way to solve this issue? I am not controlling
>>> using seq from MELPA since I am using a package that pulls in seq from
>>> MELPA as a dependency. For now I am considering to patch the seq in
>>> MELPA.
>
> Could we have some more data, such as which package (name and version)
> pulls which version of `seq` (and how does it say "from MELPA")?
>

In ELPA there are not that many packages that depend on seq, but there
is for example `beacon` which depends on `(seq "2.14")`. In MELPA there
is a lot, for example `org-drill` which also depends on `(seq "2.14")`.

However I think `seq` won't be pulled from ELPA for these since the
dependency is already satisfied by the built-in version.

I am using NixOS and I think this issue comes from nix and how it
resolves packages. Nix will resolve Emacs package dependencies on a
system level and make sure all of them are added to your `load-path`
when launching Emacs. The unfortunate thing is that if a package depends
on `seq`, it pulls the one from ELPA since it doesn't know about the
built-in package in Emacs.

I will raise this issue on the nixpkgs instead, as it is less likely
that non-nix users will have the ELPA `seq` on their `load-path`.

>
>         Stefan "=C2=A1=C2=BFwhy on earth would you put `seq` on MELPA?!"

No-one put seq on MELPA, it was ELPA all-along, once again sorry for
that mistake.


Thank you for your reply and if you don't think anything needs to be
done on Emacs/ELPA side, feel free to close this issue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37976; Package emacs. Full text available.

Message received at 37976 <at> debbugs.gnu.org:


Received: (at 37976) by debbugs.gnu.org; 12 Nov 2019 22:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 12 17:26:54 2019
Received: from localhost ([127.0.0.1]:58575 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iUecg-000873-8S
	for submit <at> debbugs.gnu.org; Tue, 12 Nov 2019 17:26:54 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:17798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1iUecc-00086h-Is
 for 37976 <at> debbugs.gnu.org; Tue, 12 Nov 2019 17:26:51 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 0AAE9449BDE;
 Tue, 12 Nov 2019 17:26:45 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id E7855449ADB;
 Tue, 12 Nov 2019 17:26:43 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1573597603;
 bh=vp/mnhECxtLeCzYLuSBI5h4I/9j1pBDNYIFtB3mcDyM=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=lbx5Fbw+o3MQ6npZgRBMvsu15+y+h226xOYiWxd8q5CEJJYJNqmGGLkeARrqJfkbZ
 Ca9E4Wawsq3Rl0hyHHs3wVgbQIRMjpCju6eBELoy+Kq/KQDI5186C/MVHZDb7+fKjs
 VazTl1uEc+OhksgCP8yKg0d5BmKTDw9GhLdp18qrtqclQIt2+VBXLvDa9inhd2UM/H
 GI5P/3t2y09OCjpoO7tJWp/3ouV2EzZNh3DdIG2SXv0P9u6BctVbnlnld8NievtOrj
 YKE7WTta3Gr3070wKsj627hFltMZAnwc+PR6n44AtcVpHdtUMXvA8GyyD3Hl2F9Yfb
 xXVQyCiQXsRAA==
Received: from pastel (unknown [216.154.33.205])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id B19D11205E1;
 Tue, 12 Nov 2019 17:26:43 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#37976: 27.0.50; Dependency reversal of seq-subseq and
 cl-subseq causes regression when using seq from ELPA
Message-ID: <jwva790ka3y.fsf-monnier+emacs@HIDDEN>
References: <87o8xz3ljd.fsf@HIDDEN> <87h83k2e0i.fsf@HIDDEN>
 <CAGoWm-YGqBxZ9Wq+aHE9XAeRcn=QKVH751GjpD-X=r2_NeAPwA@HIDDEN>
 <87h83exny5.fsf@HIDDEN>
Date: Tue, 12 Nov 2019 17:26:41 -0500
In-Reply-To: <87h83exny5.fsf@HIDDEN> (Michael Heerdegen's message of "Fri, 08
 Nov 2019 18:44:34 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.101 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37976
Cc: 37976 <at> debbugs.gnu.org, Terje Larsen <terlar@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> What ended up happening now is that Emacs is using the new builtin cl-su=
bseq
>> from cl-extra.

This new cl-subseq only exists in Emacs's `master`, right?
So they're running Emacs `master`.

>> But using seq-subseq from MELPA which causes an infinite
>> loop as they depend on eachother.

Why would they use "seq-subseq from MELPA" when they have the latest
seq.el built into their Emacs `master`?

>> What is the recommended way to solve this issue? I am not controlling
>> using seq from MELPA since I am using a package that pulls in seq from
>> MELPA as a dependency. For now I am considering to patch the seq in
>> MELPA.

Could we have some more data, such as which package (name and version)
pulls which version of `seq` (and how does it say "from MELPA")?


        Stefan "=A1=BFwhy on earth would you put `seq` on MELPA?!"





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37976; Package emacs. Full text available.

Message received at 37976 <at> debbugs.gnu.org:


Received: (at 37976) by debbugs.gnu.org; 8 Nov 2019 17:44:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 12:44:42 2019
Received: from localhost ([127.0.0.1]:47554 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT8JN-00042N-Ut
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 12:44:42 -0500
Received: from mout.web.de ([212.227.15.3]:43891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iT8JL-000426-58
 for 37976 <at> debbugs.gnu.org; Fri, 08 Nov 2019 12:44:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1573235062;
 bh=bW+XdhIVuj0Cqe3+ijiOSQ2WsXid6o6X/e6TNqWmB10=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Nynfmm5fI2i/FoEuXlmiisuJVtPaH38KZRJco33bxyhTDJPpCsb5pEDbOn9PiC5zA
 ks/uh77w8I+LMpzAERumsP+wh0guGcMyHQ/esjR3RDJG8aIg2Poip6ymzRKspaBH/W
 snF6WurzcsBnKoBqMY4nDcFwA8rqFzWCLul42SP8=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb004
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MASfy-1iedp62S3G-00BdRZ; Fri, 08
 Nov 2019 18:44:22 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#37976: 27.0.50; Dependency reversal of seq-subseq and
 cl-subseq causes regression when using seq from ELPA
References: <87o8xz3ljd.fsf@HIDDEN> <87h83k2e0i.fsf@HIDDEN>
 <CAGoWm-YGqBxZ9Wq+aHE9XAeRcn=QKVH751GjpD-X=r2_NeAPwA@HIDDEN>
Date: Fri, 08 Nov 2019 18:44:34 +0100
In-Reply-To: <CAGoWm-YGqBxZ9Wq+aHE9XAeRcn=QKVH751GjpD-X=r2_NeAPwA@HIDDEN>
 (Terje Larsen's message of "Tue, 5 Nov 2019 07:14:26 +0100")
Message-ID: <87h83exny5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:0wQyNDKLDQd3d6CyZpMGDUF9VSfJOJop1CEdQj7PHrFQRpnP0E6
 z9ivQqNXlm3sYxC2Q3XK1b0PBqf4skvoRju2Z32q+vLaLJpdEy3q8jHFpEcOyWY248rbj9x
 bS7Qzmfquf06alKiuVggc4ZUWThpid8Ih58353pXHqzIM+4HE3c9BHusICCi7nU2FaDSjWY
 kdH7cSx4IUAgirMq9Oz/w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Wm+cfhqKADw=:4Yh3T73ZSI39LJuY3DFIUm
 fTCOjxktQeBiZyzhqkNtkR942gicaDugfWxXcdc2Lqr4szg5zG93xzYg0lV1wd5bjAdhwu8kg
 11By398e6Kn3DRkvwnxgsDwr6zPwgYausAiG2tHVRLVPzxnwRrPu3Ct/DJ9wAlFHKG2rd8IKq
 Nix3i2mcgsAHcZdT+nXr6gf5FZVNz9BCUb77aK+8/zIMpTGjegGkcQD9Y6fS1AIQOHlYIITN9
 hblqDjH+/4UaC0sQ/7KPTxMtDbaE/bEFIIEprXTBy0eNPAkfryqXwFjb92TrWm4t2zbz9+WPm
 QaZ786aTT9afD2G0Aw9lIrMpVQAZfkE/sljimomHfARrNKPgJgM1y2LoFRK3cVTIw58DLgtQu
 KXvq8zabNaS3oZzhWolLP7pVJxbV5chSs+FrxdMkbBitSmQNIgm60YY6VCrxY+LtYYVLtNn0w
 xc25YVFiYK1C8qjFAjIQWAlLuMnf9b+X2fjLzpWCphhJxO8RYUjBwB5PqDOxT3JOKZ3sgdpC/
 axEtFpz9M4OjYhylvqj+ON8eMe4Jn/yXMKug2hv4/BY5yfycGeh3YnR3UvyJZ/JWogJt58/tY
 GTR7u4qqww1qnSL5oBhkYibzGG42xjSan1K3DGFVdTKaCZVYqGBO4n/ayCnGrpu5d/YbDwrzw
 c99fagcwuucdofcQn8C+Mpk73thZYRNohtTIRILiSv9SYA64I0h6KzLXdz0j66fk4gMx2pS2c
 fsyZErwHAOhb3Bjp/TqkljRcyugHfuOf/6frLLYqCPYV4ZlBBW4NOkhRTjvucm1EIHyWUr69b
 GYusR1ykJL0lNi4SwOtuABelaHphYSUaf8TA6NPCEr+ieWbPy8/WQs2TpCzEiCESzkNxRrsHF
 jSGGVxOxvre0aDM7/VTjbSSp19zm/oYeN6zqhhINKwDjABetnLVrn+6hTPCszimF3NRZG0ndT
 95mRPAxmTZkRBfu/lgr89IGROrfPYVFK2zyBCOw01ljH9rqQ4alP/GL2OnQOq1zLo2P7eygKX
 I/zneKsbX4PGtuHU3fM3/pSOlnXd0P37vWsg/Jtp/gYq0HgxwMmOzN8XlSywN8QfsTCCknfme
 VsZOSZfcY0MyXs8j6cY9SSB3lsE04lTvWxnfWNIH+QS3K6LZKX+fbywEPLmwYtmSU8CN/jZuu
 ZOp3XYKChCEUzdbVQw3Z5dgmtBfxOP9QvLa5XqopA47IyA8lkw8Dq0jR61H0o81Roj9G400XQ
 Ma8MutegP8MIWrNkhcahbYHK7BjL4ReMFTvljP8pvaWaRkEHPJB0g2S8WQMI=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37976
Cc: 37976 <at> debbugs.gnu.org, Terje Larsen <terlar@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Stefan,

is this issue on your radar?

Terje Larsen <terlar@HIDDEN> writes:

> I meant the seq package provided by GNU ELPA repository. Guess I
> slipped on the keyboard there. My Emacs selects the seq25.el from
> ELPA.

His original report:

> Since the commit 0e4dd67aae8b10032317a29a6bd99d2d4a64c897 there is a
> regression for people using seq from MELPA.

> The dependency was reversed so cl-subseq is using seq-subseq, but before
> seq-subseq was using cl-subseq.

> What ended up happening now is that Emacs is using the new builtin cl-subseq
> from cl-extra. But using seq-subseq from MELPA which causes an infinite
> loop as they depend on eachother.

> What is the recommended way to solve this issue? I am not controlling
> using seq from MELPA since I am using a package that pulls in seq from
> MELPA as a dependency. For now I am considering to patch the seq in
> MELPA.


TIA,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37976; Package emacs. Full text available.

Message received at 37976 <at> debbugs.gnu.org:


Received: (at 37976) by debbugs.gnu.org; 5 Nov 2019 06:14:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 05 01:14:45 2019
Received: from localhost ([127.0.0.1]:37823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRs73-0004z7-5t
	for submit <at> debbugs.gnu.org; Tue, 05 Nov 2019 01:14:45 -0500
Received: from mail-yb1-f174.google.com ([209.85.219.174]:33347)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <terlar@HIDDEN>) id 1iRs70-0004yr-SL
 for 37976 <at> debbugs.gnu.org; Tue, 05 Nov 2019 01:14:44 -0500
Received: by mail-yb1-f174.google.com with SMTP id i15so24422ybq.0
 for <37976 <at> debbugs.gnu.org>; Mon, 04 Nov 2019 22:14:42 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=+lpZq98xGTv2WnZVWkQo5nZarDh8AHkbMRDKz/mgzHA=;
 b=PylgCviIebLqO+eoHtNZAbiX+k+M07YjLNHDlOljvzRFQSfVbedBq/sY+omxGFhv20
 DTmlH1sJHybTF6t/GVt72/mHPtqve6lhnkEG/ROzkrjX6W+s5Qd0CrYvC4u8h3fyeUeX
 6VT+ImFAeOTTLWLC4q4xmiY14zFuAcbHC95jtj6tPbBhkws81SL9LcyC5TNGbJFBvnh8
 wE9PvT+r3T+1ygO1YtPWAxHtjJnU1F1GhoQQoktjHbtngc+E2ItMcnEwISlP0tse8AhP
 x7nwCkB+d+odof7bAcCYE0ucmUmeqUh3roCu5rFr8tR7odqORBNGoDvhMK+tU4AGaFOo
 JXRQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=+lpZq98xGTv2WnZVWkQo5nZarDh8AHkbMRDKz/mgzHA=;
 b=VOrKFPX0e5/bDmomAkCd/0Kd+pc0ZaC2Rr//1m02NCIOR9I7FLKHMlhp2CRQ85jjV3
 4BH2PgKc2zZAf77Ry+ZFU8Oggq4ePhUy180rQ/QLRQOOa5xJq23ROqYqXg4+UqLLcov5
 y0Au/xfzzPjMMXtJMUaL4DN2LSiGZ3d5SIDKhcFjprD9bpnSuEjtsU82pZm0Ff0ICdCR
 2GUQJFw0SaycP5xIx37mhKsB104kwgaSb3an07J0tegmz7CG3av6Brb9kXT4PwtF0L0C
 M+j0/IM2fd3xBoKXcnRoj0TH/BkIIqPlE14apeqYsKCAg4Ks9ccn4lTZJas7KKzqQ0Fg
 svlw==
X-Gm-Message-State: APjAAAUvsIKd4lpzDXQ8qUFYptXtj/ZmlttjNGwYZsUnDB7UMGhIHGg4
 5iU3Czp+ScWgHtam5Zgp3bV8FTLfDKxrwDhgjdc=
X-Google-Smtp-Source: APXvYqxd3wzfVYh56vn5nVHWVP5BCIEKsEMpFVtxFhX/Yp6lxiNtoB28pp3reeC/kBROVI8uV/Wz3xrW/Nvyc8ZoiHI=
X-Received: by 2002:a25:404f:: with SMTP id n76mr14416383yba.42.1572934477109; 
 Mon, 04 Nov 2019 22:14:37 -0800 (PST)
MIME-Version: 1.0
References: <87o8xz3ljd.fsf@HIDDEN> <87h83k2e0i.fsf@HIDDEN>
In-Reply-To: <87h83k2e0i.fsf@HIDDEN>
From: Terje Larsen <terlar@HIDDEN>
Date: Tue, 5 Nov 2019 07:14:26 +0100
Message-ID: <CAGoWm-YGqBxZ9Wq+aHE9XAeRcn=QKVH751GjpD-X=r2_NeAPwA@HIDDEN>
Subject: Re: bug#37976: 27.0.50; Dependency reversal of seq-subseq and
 cl-subseq causes regression when using seq from ELPA
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000c35f7e05969358fe"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37976
Cc: 37976 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000c35f7e05969358fe
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

I meant the seq package provided by GNU ELPA repository. Guess I slipped on
the keyboard there. My Emacs selects the seq25.el from ELPA.

I have now patched it for myself locally. But I believe this can cause
really big frustrations and confusion for people in the future. I guess one
way to solve it would be to push a change that checks the Emacs version and
provides different implementation, as 27 haven=E2=80=99t been released yet.

Thank you for catching my mistake.

On Mon, 4 Nov 2019 at 10:21, Michael Heerdegen <michael_heerdegen@HIDDEN>
wrote:

> Terje Larsen <terlar@HIDDEN> writes:
>
> > Since the commit 0e4dd67aae8b10032317a29a6bd99d2d4a64c897 there is a
> > regression for people using seq from MELPA.
>
> I don't have an answer, but a question: do you really mean Melpa, or the
> "seq" package provided in the Gnu Elpa repository?
>
>
> Thanks,
>
> Michael.
>
--=20
// Terje Larsen

--000000000000c35f7e05969358fe
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div><div dir=3D"auto">I meant the seq package provided by GNU ELPA reposit=
ory. Guess I slipped on the keyboard there. My Emacs selects the seq25.el f=
rom ELPA.=C2=A0</div><div dir=3D"auto"><br></div><div dir=3D"auto">I have n=
ow patched it for myself locally. But I believe this can cause really big f=
rustrations and confusion for people in the future. I guess one way to solv=
e it would be to push a change that checks the Emacs version and provides d=
ifferent implementation, as 27 haven=E2=80=99t been released yet.</div></di=
v><div dir=3D"auto"><br></div><div dir=3D"auto">Thank you for catching my=
=C2=A0mistake.</div><div><br><div class=3D"gmail_quote"><div dir=3D"ltr" cl=
ass=3D"gmail_attr">On Mon, 4 Nov 2019 at 10:21, Michael Heerdegen &lt;<a hr=
ef=3D"mailto:michael_heerdegen@HIDDEN">michael_heerdegen@HIDDEN</a>&gt; wro=
te:<br></div><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;b=
order-left:1px #ccc solid;padding-left:1ex">Terje Larsen &lt;<a href=3D"mai=
lto:terlar@HIDDEN" target=3D"_blank">terlar@HIDDEN</a>&gt; writes:<br=
>
<br>
&gt; Since the commit 0e4dd67aae8b10032317a29a6bd99d2d4a64c897 there is a<b=
r>
&gt; regression for people using seq from MELPA.<br>
<br>
I don&#39;t have an answer, but a question: do you really mean Melpa, or th=
e<br>
&quot;seq&quot; package provided in the Gnu Elpa repository?<br>
<br>
<br>
Thanks,<br>
<br>
Michael.<br>
</blockquote></div></div>-- <br><div dir=3D"ltr" class=3D"gmail_signature" =
data-smartmail=3D"gmail_signature">// Terje Larsen</div>

--000000000000c35f7e05969358fe--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37976; Package emacs. Full text available.

Message received at 37976 <at> debbugs.gnu.org:


Received: (at 37976) by debbugs.gnu.org; 4 Nov 2019 09:21:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 04 04:21:19 2019
Received: from localhost ([127.0.0.1]:35863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iRYY3-0000Qo-FS
	for submit <at> debbugs.gnu.org; Mon, 04 Nov 2019 04:21:19 -0500
Received: from mout.web.de ([217.72.192.78]:39263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1iRYXz-0000QY-9h
 for 37976 <at> debbugs.gnu.org; Mon, 04 Nov 2019 04:21:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1572859266;
 bh=dZlgkfF2o0zTk+5UL3vB73gSZ4VA7/l3/mMy33fzlyI=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=revb4gKIcA5NQNyU4BEu/Ir0i/g9TvxJuOwFA9aaCLSP/uHLqSlxUVoUaIa1exTrB
 Akbnd5EHK9mg4TfG61ABtTRSP+8sRB4gg95aaZtDe8RBPpvthk1gp8L+F/r7BGByVy
 +/Wk7uzqTmfD75acAGR+S7ROsE7yA8r+8ueNDg94=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([94.218.222.9]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MK24P-1iQAy43JO1-001U3Q; Mon, 04
 Nov 2019 10:21:05 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Terje Larsen <terlar@HIDDEN>
Subject: Re: bug#37976: 27.0.50; Dependency reversal of seq-subseq and
 cl-subseq causes regression when using seq from ELPA
References: <87o8xz3ljd.fsf@HIDDEN>
Date: Mon, 04 Nov 2019 10:21:17 +0100
In-Reply-To: <87o8xz3ljd.fsf@HIDDEN> (Terje Larsen's message of "Tue, 29
 Oct 2019 11:15:18 +0100")
Message-ID: <87h83k2e0i.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:gG+AS8ghyCZNcNbO/+1VsPGRrk7S2fxZTz2OBxIrFlTBkSIRqxL
 /uAwO+yjRiMunG1XzKUOwYq3uB0Xhmir3dViUA8v1BVIBsADpidthOg9Vo9KiOtwGx9flqN
 ZiPxEg5yU359YCb+67H6LrPacBd4U5H+AvlaqMrA0wFF9fyCb80EM8Sg+MsXrgadyK+fzTD
 s0E5TTUtYxKlKXMhGAiAg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:f4yv7MVfw90=:YvbGElgQ+IfG9cmBjGBOIH
 ty6Q7xg1elzUmhfX4/qqCSWfj86XdPQeCp+MmoL7ZED3K5rY89NRmz8dWedLAhHhvqx3YsrNu
 pvqAyx6bQ9oDJ2s5PZar8ae1rb8+pUxf9jd7R1AXI8JLGPmtsFmKmGLW9SPkcevyOAZ/viPRQ
 RJDrLc/8QT6uBMZr7YHJW/+Huer2I9i0h8sYfFeHH2AtrkuPkSfElViqwfnGQWjxZw1OhY5j0
 S/kyBqn6XHNEMPaDXJNGtp0ONaKj6R79naKs8c0YlpsnX9xOJItuu97FUEQUXJNfVlp4Mq0GR
 nNyZ7tdHdykiJOUtUswa8r1nqDUrMKDATLduX3zwpeqa88ZPTd12+MJuHUwjR31Fb5RNmenls
 0VWIdlGDR6eohJt7lz23ZeltqyQzRTYlUP9k4qlpyNylC6M/4uQc//yguVoOa+Ht3HKEuSzkD
 9zzkSCYcIDuQoHs0JYPQmlwRrg+ADWScVXHpa3ukttaiZKKQaslltA3I5syibxUVznCGfmqN8
 XSZcCmSoQadh1BS2AwthfiHXuGvRbxg6QSLSKHnOj6h/NKSr8TpIkkhIVfO644qPFYeZaQ/KG
 gOIlmrAoOllSUXJc9WXdJgO93+WoN5fkCuxTFu6hoR5/JLS22r0Oj8cyomautCaRSuWfixyjV
 8phaIbaW89SW61adqlPzw6x0csLEtTvS6otWUtHVTe99AUfgjydd72o6H0/XCNangMvqiyxeU
 n4kOYwXuHScSfiz4xXEocHci4FIUj9xCHNFQCC4eobRuBBoCy0wyjMR7tyzNIgQL8gspE/9iN
 tSHj5CUFeOypkmA6KNr0oST1Q8XWWV8VQUi3NY8JBeywby8oIeSzkWipYkPlqlsV4j3BGoU7y
 u7dVcVsW953w1PCatb6uesixDVApFbHpJ+6nIekVPpDUaplUCe+ZSp5pzLflbq0x0il/XgSVp
 l2kc+caK3oB79GDcOyi5ipP6PaYoRCqIJ3XUwHCzLO25bR4pJuoFkvF+aI8zea5g9XcR6bIZ4
 T0cfBN9IUfEbUZoYyOxY2AxPcnHmq6TW6pUz7Srdr5PFHanAOSF89kamBuwH6auKZPKYCxFMi
 o6rwJL6Ch71FlXyCJv2bKJ68SBU8hzBFNUTFr09cNioZsjkH6GGEWMM6d0OVXii+vcH07mNn5
 SGPSI24G4lpaHMx+t4suhgfaAJb1OszTS7LSU+O2u6NST6ABB0Caw5ZNWxThnA8qgQMjof2XG
 HNw2yNr5J2h8BLspgSo1ENC01KxGQzdpKkpahp0hU7XgO2Q1QiUVwPkV2Nio=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 37976
Cc: 37976 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Terje Larsen <terlar@HIDDEN> writes:

> Since the commit 0e4dd67aae8b10032317a29a6bd99d2d4a64c897 there is a
> regression for people using seq from MELPA.

I don't have an answer, but a question: do you really mean Melpa, or the
"seq" package provided in the Gnu Elpa repository?


Thanks,

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37976; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Oct 2019 10:17:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 29 06:17:46 2019
Received: from localhost ([127.0.0.1]:46912 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iPOZL-0002FG-8d
	for submit <at> debbugs.gnu.org; Tue, 29 Oct 2019 06:17:44 -0400
Received: from lists.gnu.org ([209.51.188.17]:43074)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <terlar@HIDDEN>) id 1iPOZC-0002F1-HR
 for submit <at> debbugs.gnu.org; Tue, 29 Oct 2019 06:17:41 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:56168)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <terlar@HIDDEN>) id 1iPOZ8-0003Xg-Ni
 for bug-gnu-emacs@HIDDEN; Tue, 29 Oct 2019 06:17:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <terlar@HIDDEN>) id 1iPOZ5-0005sA-7w
 for bug-gnu-emacs@HIDDEN; Tue, 29 Oct 2019 06:17:30 -0400
Received: from mail-lf1-x135.google.com ([2a00:1450:4864:20::135]:40529)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <terlar@HIDDEN>) id 1iPOZ4-0005rN-OK
 for bug-gnu-emacs@HIDDEN; Tue, 29 Oct 2019 06:17:27 -0400
Received: by mail-lf1-x135.google.com with SMTP id f4so4085753lfk.7
 for <bug-gnu-emacs@HIDDEN>; Tue, 29 Oct 2019 03:17:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=u+dKC7N+lgymS+3cxMX1I4835urIdj+6rRAmu7xX3co=;
 b=qe8XDGxvD3gjnaMOhnega0F4bIlAFAxc0y3yKs+lf7BYpCModpHWAbzmPDJIanQcMg
 MgY+W2FsxJHvdP/CJbgWnjUJk65DufhX9S3kxTCSqFdyh/5lMcFnQldXYa6xffVLVBwB
 l/4yL9uSmy20hEXGnvzcAIJHcHYxoD5oAvyPgEt3jwHgtz3r4B/alpQurpBu9JpbmMPm
 77nXHLzmkv3Y5Xxqz1Bu3/IKaVqmiU8OvK9eoQ367xM3eHI8SqINkyvfhzrPm5PnYJrI
 Zt6Ylt0ggv20rhWIr+SiLQN7Je5Q4Quo2e27YUMPhukKpBT1zZknoyyp9H5Mfj0BvG9r
 jm5Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=u+dKC7N+lgymS+3cxMX1I4835urIdj+6rRAmu7xX3co=;
 b=Y3+dRM+a2IW+CVub4bYYWEw+/Q1z/gkn8HonPVUHnxYa4EhxC0Qf9bF3u7hNj7FLDt
 byMwA0fSMVAisRU7M44jgwO9+a/+oSlQivPvq+7B+GPTb4bKM3uAxbvEHAPfYdzSVr0H
 X/5cvmG756+Uv6MTug1j736v9VSs8aJNZq7Z9oOYf9Zdp3Ff4znzbe8Hyn4VSlbsQV6r
 nWOz3t1DC9iDg14fvlcsVyiFwe6yagkZP79kIyGWB3LFJshUUM/3m62cGK6sV04GCazD
 pkweLIBAE4LGWPufXqVMm0d0s4zjDR/Xib+wkVRE2bHAiB/i7Wzqj5KGoqIy8Y4tV39C
 gA0A==
X-Gm-Message-State: APjAAAWwtDBK8itsaRR3uEsGA9MI5HNAbFR/aYOfvOCmxeQYliJEelsX
 KAS3A934ZlvpTLEtrSimX/iU7U+9
X-Google-Smtp-Source: APXvYqwB7oumWPw+Jh3IsYHsD2rP2/rdnMfOprJSl/AfxB+3BlDY0b3NusH2pcMs8Fu4TpolcalslA==
X-Received: by 2002:ac2:5deb:: with SMTP id z11mr1940879lfq.35.1572344244031; 
 Tue, 29 Oct 2019 03:17:24 -0700 (PDT)
Received: from beetle ([212.85.78.250])
 by smtp.gmail.com with ESMTPSA id d9sm9835916lfj.81.2019.10.29.03.17.22
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 29 Oct 2019 03:17:23 -0700 (PDT)
From: Terje Larsen <terlar@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; Dependency reversal of seq-subseq and cl-subseq causes
 regression when using seq from ELPA
Date: Tue, 29 Oct 2019 11:15:18 +0100
Message-ID: <87o8xz3ljd.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::135
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


Since the commit 0e4dd67aae8b10032317a29a6bd99d2d4a64c897 there is a
regression for people using seq from MELPA.

The dependency was reversed so cl-subseq is using seq-subseq, but before
seq-subseq was using cl-subseq.

What ended up happening now is that Emacs is using the new builtin cl-subseq
from cl-extra. But using seq-subseq from MELPA which causes an infinite
loop as they depend on eachother.

What is the recommended way to solve this issue? I am not controlling
using seq from MELPA since I am using a package that pulls in seq from
MELPA as a dependency. For now I am considering to patch the seq in
MELPA.

Steps to reproduce:
- Use seq from MELPA
- Run (cl-subseq '(a b c) 0 0)


In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.12)
Windowing system distributor 'The X.Org Foundation', version 11.0.12005000
System Description: NixOS 20.03.git.5c9bf4fe8f4 (Markhor)

Recent messages:
Entering debugger...
Loaded Emacs in 3.590s
user-error: Beginning of history; no preceding item
Quit
Entering debugger...
Back to top level
Making completion list...
delete-backward-char: Text is read-only
scroll-up-command: End of buffer
delete-backward-char: Text is read-only

Configured using:
 'configure
 --prefix=/nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50
 --disable-build-details --with-modules --with-x-toolkit=gtk3 --with-xft
 CFLAGS=-DMAC_OS_X_VERSION_MAX_ALLOWED=101200'

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS GLIB NOTIFY INOTIFY
LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD PDUMPER
GMP

Important settings:
  value of $EMACSLOADPATH: /nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp:
  value of $LC_CTYPE: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  savehist-mode: t
  override-global-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/terje.larsen/.nix-profile/share/emacs/site-lisp/git hides /run/current-system/sw/share/emacs/site-lisp/git
/home/terje.larsen/.nix-profile/share/emacs/site-lisp/git-blame hides /run/current-system/sw/share/emacs/site-lisp/git-blame
/home/terje.larsen/.nix-profile/share/emacs/site-lisp/git hides /nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/elpa/git-20140128.1041/git
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/site-start hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/site-lisp/site-start
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/elpa/jsonrpc-1.0.7/jsonrpc hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/jsonrpc
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/elpa/flymake-1.0.8/flymake hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/progmodes/flymake
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/elpa/python-0.26.1/python hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/progmodes/python
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-emacs-lisp hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-emacs-lisp
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-man hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-man
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-latex hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-latex
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-exp hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-exp
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-ocaml hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-ocaml
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-vala hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-vala
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-C hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-C
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-macs hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-macs
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-clock hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-clock
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-archive hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-archive
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-lua hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-lua
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-R hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-R
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-attach hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-attach
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-datetree hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-datetree
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-ebnf hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-ebnf
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-publish hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-publish
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-forth hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-forth
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-shell hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-shell
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-duration hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-duration
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-id hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-id
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-lisp hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-lisp
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-ascii hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-ascii
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-table hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-table
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-latex hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-latex
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-comint hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-comint
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-src hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-src
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-indent hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-indent
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-css hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-css
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-feed hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-feed
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-screen hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-screen
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-J hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-J
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-ctags hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-ctags
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-footnote hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-footnote
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-agenda hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-agenda
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-texinfo hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-texinfo
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-awk hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-awk
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-core hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-core
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-beamer hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-beamer
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-element hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-element
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-matlab hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-matlab
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-md hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-md
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-sqlite hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-sqlite
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-icalendar hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-icalendar
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-tangle hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-tangle
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-octave hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-octave
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-ledger hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-ledger
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-ruby hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-ruby
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-stan hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-stan
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-colview hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-colview
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-list hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-list
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-lilypond hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-lilypond
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-mouse hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-mouse
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-sass hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-sass
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-mscgen hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-mscgen
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-compat hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-compat
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-maxima hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-maxima
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-groovy hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-groovy
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-sed hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-sed
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-lob hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-lob
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-picolisp hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-picolisp
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-crypt hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-crypt
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-html hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-html
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-python hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-python
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-mobile hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-mobile
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-gnuplot hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-gnuplot
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-table hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-table
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-coq hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-coq
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-ref hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-ref
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-clojure hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-clojure
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-loaddefs hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-loaddefs
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-odt hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-odt
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-js hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-js
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-processing hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-processing
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-habit hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-habit
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-scheme hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-scheme
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-shen hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-shen
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-abc hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-abc
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-asymptote hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-asymptote
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-entities hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-entities
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-perl hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-perl
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ox-org hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ox-org
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-faces hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-faces
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-sql hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-sql
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-calc hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-calc
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-io hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-io
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-fortran hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-fortran
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-makefile hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-makefile
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-eval hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-eval
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-install hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-install
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-inlinetask hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-inlinetask
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-plantuml hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-plantuml
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-pcomplete hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-pcomplete
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-macro hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-macro
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-org hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-org
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-timer hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-timer
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-haskell hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-haskell
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-capture hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-capture
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-plot hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-plot
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-dot hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-dot
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-lint hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-lint
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-protocol hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-protocol
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-java hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-java
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-ditaa hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-ditaa
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/org-version hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/org-version
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/org/ob-hledger hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/org/ob-hledger
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/elpa/let-alist-1.0.6/let-alist hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/emacs-lisp/let-alist
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/elpa/faceup-20170925.1946/faceup hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/emacs-lisp/faceup
/nix/store/8hg4kp9h0l6z4izni0k2li3nqw0q3wpz-emacs-packages-deps/share/emacs/site-lisp/elpa/seq-2.20/seq hides /nix/store/cz5m77gf09rsy6c8xkd0i5bz6dpli60x-emacs-27.0.50/share/emacs/27.0.50/lisp/emacs-lisp/seq

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
format-spec rfc822 mml mml-sec epa derived epg epg-config gnus-util
rmail rmail-loaddefs text-property-search time-date mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils help-fns
radix-tree cl-print debug backtrace find-func all-the-icons
all-the-icons-faces data-material data-weathericons data-octicons
data-fileicons data-faicons data-alltheicons memoize auto-tangle async
savehist cl-extra help-mode exec-path-from-shell cus-edit cus-start
cus-load wid-edit no-littering use-package use-package-ensure
use-package-delight use-package-diminish use-package-bind-key bind-key
use-package-core easy-mmode advice rx slime-autoloads edmacro kmacro
info package easymenu browse-url url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache json
subr-x map url-vars seq seq-25 byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 133046 97457)
 (symbols 48 13100 92)
 (strings 32 49743 11978)
 (string-bytes 1 1744290)
 (vectors 16 16935)
 (vector-slots 8 226284 83480)
 (floats 8 342 362)
 (intervals 56 2178 147)
 (buffers 1000 13))




Acknowledgement sent to Terje Larsen <terlar@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37976; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.